%define	debug_package %{nil}

%define	major 1
%define	libname %mklibname quazip1-qt6
%define	devname %mklibname quazip1-qt6 -d

Summary:	Qt/C++ wrapper for the minizip library
Name:		quazip1-qt6
Version:	1.4
Release:	1
License:	LGPLv2.1+
Group:		System/Libraries
Url:		https://github.com/stachenov/quazip
Source0:	https://github.com/stachenov/quazip/archive/v%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	qt6-cmake
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(Qt6Core) >= 6.7.3
BuildRequires:	pkgconfig(Qt6Network)
BuildRequires:	pkgconfig(Qt6Test)
Requires:	pkgconfig(zlib)

%description
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
It allows you to access files inside ZIP archives using QIODevice API, and -
yes! - that means that you can also use QTextStream, QDataStream or whatever
you would like to use on your zipped files.
It provides complete abstraction of the ZIP/UNZIP API, for both reading from
and writing to ZIP archives.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Qt/C++++ wrapper for the minizip library
Group:		System/Libraries
%rename		quazip1-qt6

%description -n %{libname}
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.
It allows you to access files inside ZIP archives using QIODevice API, and -
yes! - that means that you can also use QTextStream, QDataStream or whatever
you would like to use on your zipped files.
It provides complete abstraction of the ZIP/UNZIP API, for both reading from
and writing to ZIP archives.

%files -n %{libname}
%doc COPYING
%{_libdir}/libquazip1-qt6.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Requires:	pkgconfig(zlib)
Provides:	quazip1-devel = %{EVRD}
Provides:	quazip1-qt6-devel = %{EVRD}

%description -n %{devname}
This package contains libraries, header files and documentation for developing
applications that use %{libname}.

%files -n %{devname}
%doc COPYING NEWS.txt README.md
%{_includedir}/QuaZip-Qt6-%{version}
%{_libdir}/libquazip1-qt6.so
%{_libdir}/pkgconfig/quazip1-qt6.pc
%{_libdir}/cmake/QuaZip-Qt6-%{version}/*.cmake

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n quazip-%{version}

%build
%cmake -DQUAZIP_QT_MAJOR_VERSION=6
%make

%install
%make_install -C build

%changelog
* Fri May  3 2024 Aleksandr Proklov <a.proklov@rosalinux.ru> d091c9d  (HEAD, tag: rosa2023.1-1.4-2, origin/rosa2023.1)
- filter bad requres